import { request } from "@/api/config.js"

// 地址列表
export function addressListApi(data) {
  return request({
    url: '/wx/address/list',
    method: 'get',
    data: data
  })
}
// 保存地址
export function addressSaveApi(data) {
  return request({
    url: '/wx/address/save',
    method: 'post',
    data: data
  })
}

// 获取地址详情
export function addressDetailApi(data) {
  return request({
    url: '/wx/address/detail',
    method: 'get',
    data: data
  })
}
// 删除地址
export function addressDeleteApi(data) {
  return request({
    url: '/wx/address/delete',
    method: 'post',
    data: data
  })
}
// 获取默认地址详情
export function addressDefaultDetailApi(data) {
  return request({
    url: '/wx/address/default/detail',
    method: 'get',
    data: data
  })
}
